Inference Pools - Update

Update InferencePool (asynchronous).

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/inferencePools/{inferencePoolName}?api-version=2026-03-15-preview

URI Parameters

Name In Required Type Description
inferencePoolName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{0,254}$

Name of InferencePool

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Azure Machine Learning Workspace Name

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
identity

PartialManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

sku

PartialSku

Sku details required for ARM contract for Autoscaling.

tags

object

Resource tags.

Responses

Name Type Description
200 OK

InferencePool

The request has succeeded.

202 Accepted

The request has been accepted for processing, but processing has not yet completed.

Headers

  • Location: string
  • Retry-After: integer
  • x-ms-async-operation-timeout: string
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Update Workspace Inference Pool.

Sample request

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/inferencePools/string?api-version=2026-03-15-preview

{
  "identity": {
    "type": "UserAssigned",
    "userAssignedIdentities": {
      "string": {}
    }
  },
  "sku": {
    "name": "string",
    "capacity": 1,
    "family": "string",
    "size": "string",
    "tier": "Standard"
  },
  "tags": {}
}

Sample response

{
  "name": "string",
  "type": "string",
  "id": "string",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-1111-2222-3333-444444444444",
    "tenantId": "00000000-1111-2222-3333-444444444444",
    "userAssignedIdentities": {
      "string": {
        "clientId": "00000000-1111-2222-3333-444444444444",
        "principalId": "00000000-1111-2222-3333-444444444444"
      }
    }
  },
  "kind": "string",
  "location": "string",
  "properties": {
    "description": "string",
    "properties": [
      {
        "key": "string",
        "value": "string"
      }
    ],
    "provisioningState": "Canceled",
    "scaleUnitConfiguration": {
      "disablePublicEgress": false,
      "registries": [
        "string",
        "registryName1"
      ]
    }
  },
  "sku": {
    "name": "string",
    "capacity": 1,
    "family": "string",
    "size": "string",
    "tier": "Standard"
  },
  "systemData": {
    "createdAt": "2020-01-01T12:34:56.999+00:22",
    "createdBy": "string",
    "createdByType": "User",
    "lastModifiedAt": "2020-01-01T12:34:56.999+00:22",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User"
  },
  "tags": {}
}
location: https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/locations/centraluseuap/mfeOperationResults/prefix:F0C6B8EC-0D53-432C-913B-1CD9E8CDE3A0

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

InferencePool

InferencePool is a preview-only resource.

InferencePoolProperties

Inference pool configuration

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

PartialManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

PartialMinimalTrackedResourceWithSkuAndIdentity

Strictly used in update requests.

PartialSku

Common SKU definition.

PoolProvisioningState

State of pool related resources provisioning.

ScaleUnitConfiguration

Configuration for ScaleUnit pool.

Sku

The resource model definition representing SKU

SkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.

StringStringKeyValuePair
systemData

Metadata pertaining to creation and last modification of the resource.

UserAssignedIdentity

User assigned identity properties

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

InferencePool

InferencePool is a preview-only resource.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

identity

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

kind

string

Metadata used by portal/tooling/etc to render different UX experiences for resources of the same type.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

InferencePoolProperties

[Required] Additional attributes of the entity.

sku

Sku

Sku details required for ARM contract for Autoscaling.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

InferencePoolProperties

Inference pool configuration

Name Type Description
description

string

Description of the resource.

properties

StringStringKeyValuePair[]

Property dictionary. Properties can be added, but not removed or altered.

provisioningState

PoolProvisioningState

Provisioning state for the pool.

scaleUnitConfiguration

ScaleUnitConfiguration

Gets or sets ScaleUnitConfiguration for the inference pool. Used if PoolType=ScaleUnit.

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

Name Type Description
principalId

string (uuid)

The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string (uuid)

The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.

type

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned Identities
The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

Value Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

PartialManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

Name Type Description
type

ManagedServiceIdentityType

Managed service identity (system assigned and/or user assigned identities)

userAssignedIdentities

The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

PartialMinimalTrackedResourceWithSkuAndIdentity

Strictly used in update requests.

Name Type Description
identity

PartialManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

sku

PartialSku

Sku details required for ARM contract for Autoscaling.

tags

object

Resource tags.

PartialSku

Common SKU definition.

Name Type Description
capacity

integer (int32)

If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.

family

string

If the service has different generations of hardware, for the same SKU, then that can be captured here.

name

string

The name of the SKU. Ex - P3. It is typically a letter+number code.

size

string

The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.

tier

SkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.

PoolProvisioningState

State of pool related resources provisioning.

Value Description
Creating
Deleting
Succeeded
Failed
Updating
Canceled

ScaleUnitConfiguration

Configuration for ScaleUnit pool.

Name Type Default value Description
disablePublicEgress

boolean

False

Gets or sets a value indicating whether PublicEgress is disabled.

registries

string[]

Gets or sets a list of Registry sources that will be used to confirm identity, storage, ACR.

Sku

The resource model definition representing SKU

Name Type Description
capacity

integer (int32)

If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.

family

string

If the service has different generations of hardware, for the same SKU, then that can be captured here.

name

string

The name of the SKU. Ex - P3. It is typically a letter+number code

size

string

The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.

tier

SkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.

SkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.

Value Description
Free
Basic
Standard
Premium

StringStringKeyValuePair

Name Type Description
key

string

value

string

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UserAssignedIdentity

User assigned identity properties

Name Type Description
clientId

string (uuid)

The client ID of the assigned identity.

principalId

string (uuid)

The principal ID of the assigned identity.